Back to X (Twitter)
Apify·X (Twitter)

Tweet Scraper|$0.18/1K Tweets | Pay-Per Result | No Rate Limits

/kaitoeasyapi/twitter-x-data-tweet-scraper-pay-per-result-cheapestasync$0.003 / result

Only $0.18/1000 tweets for Twitter scraping, 100% reliability, swift data retrieval.This incredible low price is almost too good to be true.Thanks to our large-scale operations and efficient servers, we can offer you rock-bottom prices that no competitors can match. Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • twitterContentstring

    Enter the content of the tweet you want to scrape.case 1:nasa esa=>Containing both "nasa" and "esa". Spaces are implicit AND. Brackets can be used to group individual words if using other operators. case 2:nasa OR esa =>Either "nasa" or "esa". OR must be in uppercase. case 3:"state of the art" => Th

  • maxItemsintegerrequired

    Maximum number of items that you want as output. (default 200)

  • queryTypestring

    This field determines the type of Twitter search to be performed. The options are 'Latest', 'Top', 'Photos', 'Photos', Videos'. 'Latest' will return the most recent tweets. 'Top' will return the most popular or relevant tweets according to Twitter's algorithm. 'Photos' will return tweets containing (default "Latest")

    Latest, Top, Photos, Videos

  • langstring

    Search for tweets in specified language, not always accurate.Language is specified as https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes.

    ar, bn, zh, en, es, hi, ja, pa, …

  • fromstring

    Sent by a particular @username e.g. "NASA" .https://twitter.com/search?q=dogs%20from%3Anasa&src=typed_query&f=live

  • tostring

    Replying to a particular @username. eg. "NASA".https://twitter.com/search?q=%23MoonTunes%20to%3Anasa&src=typed_query&f=live

  • @string

    Mentioning a particular @username. Combine with -from:username to get only mentions.Eg.https://twitter.com/search?q=%40cern%20-from%3Acern&src=typed_query&f=live

  • liststring

    Tweets from members of this public list. Use the list ID from the API or with urls like twitter.com/i/lists/715919216927322112. List slug is for old list urls like twitter.com/esa/lists/astronauts.

  • filter:verifiedboolean

    Filter tweets from verified users only.Eg.https://twitter.com/search?q=filter%3Averified&src=typed_query&f=live (default false)

  • filter:blue_verifiedboolean

    Filter tweets from blue verified users only.However, I found that using filter:blue_verified alone causes issues and needs to be used together with filter:verified, possibly due to a Twitter bug.Eg.https://twitter.com/search?q=filter%3Ablue_verified%20-filter%3Averified&src=typed_query&f=live (default false)

  • nearstring

    Geotagged in this place. Also supports Phrases, eg: near:"The Hague" . eg https://twitter.com/search?q=near%3A%22The%20Hague%22&src=typed_query&f=live

  • withinstring

    Within specific radius of the "near" operator, to apply a limit. Can use km or mi. e.g. fire near:san-francisco within:10km.eg:https://twitter.com/search?q=fire%20near%3Asan-francisco%20within%3A10km&src=typed_query&f=live

  • geocodestring

    Search within a specific radius of a coordinate. E.g. to get tweets 10km around twitters hq, use geocode:37.7764685,-122.4172004,10km.Eg.https://twitter.com/search?q=geocode%3A37.7764685%2C-122.4172004%2C10km&src=typed_query&f=live

  • sincestring

    On or after (inclusive) a specified date and time in the specified timezone. 4 digit year, 2 digit month, 2 digit day separated by - dashes, an _ underscore separating the 24 hour clock format hours:minutes:seconds and timezone abbreviation.Eg.https://twitter.com/search?q=since%3A2019-06-12%20until%

  • untilstring

    Before (NOT inclusive) a specified date and time in the specified timezone. Combine with a "since" operator for dates between.Eg.https://twitter.com/search?q=%22%23NASA%22%20since%3A2022-10-13_00%3A00%3A00_UTC%20until%3A2022-10-14_00%3A02%3A00_UTC&src=typed_query&f=live

  • since_timestring

    On or after a specified unix timestamp in seconds. Combine with the "Until Time" operator for dates between. Maybe easier to use than since_id below.Eg.https://twitter.com/search?q=since_time%3A1561720321%20until_time%3A1562198400%20%23nasamoontunes&src=typed_query&f=live

  • until_timestring

    Before a specified unix timestamp in seconds. Combine with a "Since Time" operator for dates between. Maybe easier to use than max_id below.Eg.https://twitter.com/search?q=since_time%3A1561720321%20until_time%3A1562198400%20%23nasamoontunes&src=typed_query&f=live

  • since_idstring

    On or after a specified tweet ID. Combine with the "Until ID" operator for dates between. Maybe easier to use than since_time above.Eg.https://twitter.com/search?q=since_id%3A1138872932887924737%20max_id%3A1144730280353247233%20%23nasamoontunes&src=typed_query&f=live

  • max_idstring

    Before a specified tweet ID. Combine with a "Since ID" operator for dates between. Maybe easier to use than until_time above.Eg.https://twitter.com/search?q=since_id%3A1138872932887924737%20max_id%3A1144730280353247233%20%23nasamoontunes&src=typed_query&f=live

  • within_timestring

    Search within the last number of days, hours, minutes, or seconds, eg: within:1h, within:1d, within:1m, within:1s.Eg.https://twitter.com/search?q=nasa%20within_time%3A30s&src=typed_query&f=live

  • filter:nativeretweetsboolean

    Only retweets created using the retweet button. Works well combined with from: to show only retweets. Only works within the last 7-10 days or so.Eg.https://twitter.com/search?q=from%3Anasa%20filter%3Anativeretweets&src=typed_query&f=live (default false)

  • include:nativeretweetsboolean

    Native retweets are excluded by default. This shows them. In contrast to filter:, which shows only retweets, this includes retweets in addition to other tweets. Only works within the last 7-10 days or so.Eg.https://twitter.com/search?q=from%3Anasa%20include%3Anativeretweets%20&src=typed_query&f=live (default false)

  • filter:repliesboolean

    Tweet is a reply to another Tweet. good for finding conversations, or threads if you add or remove to:user.eg.https://twitter.com/search?q=from%3Anasa%20filter%3Areplies%20-to%3Anasa&src=typed_query&f=live (default false)

  • conversation_idstring

    Tweets that are part of a thread (direct replies and other replies).Eg.https://twitter.com/search?q=conversation_id%3A1140437409710116865%20lang%3Aen&src=typed_query&f=live

  • filter:quoteboolean

    Contain Quote Tweets.Eg.https://twitter.com/search?q=from%3Anasa%20filter%3Aquote&src=typed_query&f=live (default false)

  • quoted_tweet_idstring

    Search for quotes of a specific tweet.Eg.https://twitter.com/search?q=quoted_user_id%3A11348282&src=typed_query&f=live

  • quoted_user_idstring

    Search for all quotes of a specific user, by numeric User ID.Eg.https://twitter.com/search?q=quoted_user_id%3A11348282&src=typed_query&f=live

  • card_namestring

    Tweets containing polls. For polls containing 2, 3, 4 choices, or image Polls.Eg.https://twitter.com/search?q=lang%3Aen%20card_name%3Apoll4choice_text_only%20OR%20card_name%3Apoll3choice_text_only%20OR%20card_name%3Apoll2choice_text_only&src=typed_query&f=live

    poll2choice_text_only, poll3choice_text_only, poll4choice_text_only, poll2choice_image, poll3choice_image, poll4choice_image

  • filter:has_engagementboolean

    Has some engagement (replies, likes, retweets). Can be negated to find tweets with no engagement. Note all of these are mutually exclusive with filter:nativeretweets or include:nativeretweets, as they apply to the retweet, not the original tweet, so they won't work as expected.Eg.https://twitter.com (default false)

  • min_retweetsinteger

    Minimum number of retweets.Eg.https://twitter.com/search?q=min_retweets%3A5000%20nasa&src=typed_query&f=live (default 0)

  • min_favesinteger

    Minimum number of favorites.Eg.https://twitter.com/search?q=min_faves%3A5000%20nasa&src=typed_query&f=live (default 0)

  • min_repliesinteger

    Minimum number of replies.Eg.https://twitter.com/search?q=min_replies%3A5000%20nasa&src=typed_query&f=live (default 0)

  • -min_retweetsinteger

    A maximum number of Retweets.Eg.https://twitter.com/search?q=-min_retweets%3A5000%20nasa&src=typed_query&f=live (default 0)

  • -min_favesinteger

    A maximum number of Faves.Eg.https://twitter.com/search?q=-min_faves%3A5000%20nasa&src=typed_query&f=live (default 0)

  • -min_repliesinteger

    A maximum number of Replies.Eg.https://twitter.com/search?q=-min_replies%3A5000%20nasa&src=typed_query&f=live (default 0)

  • filter:mediaboolean

    Filter tweets with media,All media types.Eg.https://twitter.com/search?q=filter%3Amedia%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:twimgboolean

    Native Twitter images (pic.twitter.com links).Eg.https://twitter.com/search?q=filter%3Atwimg%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:imagesboolean

    Filter tweets with images.Eg.https://twitter.com/search?q=filter%3Aimages%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:videosboolean

    All video types, including native Twitter video and external sources such as Youtube.Eg.https://twitter.com/search?q=filter%3Avideos%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:native_videoboolean

    All Twitter-owned video types (native video, vine, periscope).Eg.https://twitter.com/search?q=filter%3Anative_video%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:vineboolean

    Vine videos.Eg.https://twitter.com/search?q=filter%3Avine%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:consumer_videoboolean

    Twitter native video only.Eg.https://twitter.com/search?q=filter%3Aconsumer_video%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:pro_videoboolean

    Twitter pro video (Amplify) only.Eg.https://twitter.com/search?q=filter%3Apro_video%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:spacesboolean

    Twitter Spaces only.Eg.https://twitter.com/search?q=filter%3Aspaces%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:linksboolean

    Only containing some URL, includes media. use -filter:media for urls that aren't media.Eg.https://twitter.com/search?q=filter%3Alinks%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:mentionsboolean

    Containing any sort of @mentions.Eg.https://twitter.com/search?q=filter%3Amentions%20%23nasamoontunes&src=typed_query&f=live (default false)

  • filter:newsboolean

    Containing link to a news story. Combine with a list operator to narrow the user set down further. Matches on a list of Domains.(See Note for full list :https://github.com/igorbrigadir/twitter-advanced-search?tab=readme-ov-file#news-sites) (default false)

  • filter:safeboolean

    Excluding NSFW content. Excludes content that users have marked as "Potentially Sensitive". Doesn't always guarantee SFW results. (default false)

  • filter:hashtagsboolean

    Containing any sort of hashtags.Eg.https://twitter.com/search?q=filter%3Ahashtags%20%23nasamoontunes&src=typed_query&f=live (default false)

  • urlstring

    urls are tokenized and matched, works very well for subdomains and domains, not so well for long urls, depends on url. Youtube ids work well. Works for both shortened and canonical urls, eg: gu.com shortener for theguardian.com. When searching for Domains with hyphens in it, you have to replace the

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/kaitoeasyapi/twitter-x-data-tweet-scraper-pay-per-result-cheapest","input":{"maxItems":200}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.